Summary:	GNU-EFI - building EFI applications using the GNU toolchain
Summary(pl.UTF-8):	GNU-EFI - tworzenie aplikacji EFI przy użyciu narzędzi GNU
Name:		gnu-efi
# NOTE: don't use early 3.1, it doesn't support EFI x86_64
Version:	3.0w
Release:	1
# Intel and HP's BSD-like license, except setjmp code coming from GRUB
License:	BSD-like
Group:		Development/Libraries
Source0:	http://downloads.sourceforge.net/gnu-efi/%{name}_%{version}.orig.tar.gz
# Source0-md5:	36d1c5e7b6edd4733700aaf749d9b80c
Patch0:		%{name}-make.patch
URL:		http://gnu-efi.sourceforge.net/
BuildRequires:	binutils >= 3:2.17.50.0.14
BuildRequires:	gcc >= 6:4.1.1
Requires:	binutils >= 3:2.17.50.0.14
Requires:	gcc >= 6:4.1.1
# FIXME: arm[64] or aarch64? (only 64-bit ARM supported in this version; git supports 32-bit too)
ExclusiveArch:	%{ix86} %{x8664} arm ia64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia64	-frename-registers

%define		efi_arch	%(echo %{_target_base_arch} | sed -e 's/i386/ia32/')

%description
GNU-EFI development environment allows to create EFI applications for
IA-64 and x86 platforms using the GNU toolchain.

%description -l pl.UTF-8
Środowisko programistyczne GNU-EFI umożliwia tworzenie aplikacji EFI
dla platform IA-64 i x86 przy użyciu narzędzi GNU.

%prep
%setup -q -n %{name}-3.0
%patch0 -p1

%build
CFLAGS="%{rpmcflags}" \
%{__make} -j1 \
	ARCH=%{efi_arch} \
	CC="%{__cc}" \
	OBJCOPY=objcopy

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	ARCH=%{efi_arch} \
	INSTALLROOT=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a apps/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.*
%{_libdir}/libefi.a
%{_libdir}/libgnuefi.a
%{_libdir}/crt0-efi-*.o
%{_libdir}/elf_*_efi.lds
%{_includedir}/efi
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Oct 06 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnu-efi.git;a=log;h=master

* Fri Sep 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 9808f4d
- updated to 3.0w
- added make patch (workaround to build with GNU make 4.0)

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 7b86358
- updated to 3.0u

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> c38475d
- updated to 3.0t

* Fri Nov 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 8892e08
- updated to 3.0s

* Sat Sep 29 2012 Jakub Bogusz <qboosh@pld-linux.org> c45c095
- updated to 3.0r

* Tue May 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 6fd4e1c
- updated to 3.0q

* Thu Dec 15 2011 Jakub Bogusz <qboosh@pld-linux.org> d643aa1
- updated to 3.0p

* Fri Sep 09 2011 Jakub Bogusz <qboosh@pld-linux.org> c0b2f77
- updated to 3.0m
- removed obsolete pciio patch

* Sun Jul 31 2011 Jakub Bogusz <qboosh@pld-linux.org> b5a273a
- updated License note

* Sun Jul 31 2011 Jakub Bogusz <qboosh@pld-linux.org> cdccd25
- updated to 3.0l
- added pciio patch with missing file (efipciio.h)

* Thu Apr 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 8c8e262
- updated to 3.0k

* Sat Sep 25 2010 Jakub Bogusz <qboosh@pld-linux.org> e2b69c2
- updated to 3.0j

* Thu Sep 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 2b9762e
- updated to 3.0e2

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 27f9578
- i386 needs ARCH=ia32
- release 2

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 897cdb9
- fixed build on x86_64
- use ARCH= to override uname (to allow building i686 package on x86_64 host)

* Thu Nov 29 2007 Jakub Bogusz <qboosh@pld-linux.org> e9e3915
- binutils epoch

* Thu Nov 29 2007 Jakub Bogusz <qboosh@pld-linux.org> 1b2ac27
- ...and gcc

* Thu Nov 29 2007 Jakub Bogusz <qboosh@pld-linux.org> c3cf77d
- updated binutils dep for EFI x86_64

* Thu Nov 29 2007 Jakub Bogusz <qboosh@pld-linux.org> f7cc099
- new URLs
- updated to 3.0d, includes x86_64 support at last

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cba3c99
- tabs in preamble

